{% extends 'base.html.twig' %}
{% block body %}


<article>
    <h2>{{ article.title }}</h2>
    <div class="metadata"><em>ecrit le {{ article.createAt | date('d/m/Y')}} à {{ article.createAt | date('H:i')}}</em> dans la categorie {{ article.category.title }}</div>
    <div class="content">
        <img src="{{ article.image }}" alt="">
        <p>{{ article.content | raw }}</p>
         <hr>
        
    </div>
  
</article>


<section id="commentaires">
    <h1>{{ article.comments | length }} Commentaires</h1>
    {% for comment in article.comments %}
<div class="comment">
    <div class="row">
        <div class="col-3">
           <strong> {{comment.author}}</strong> <em>ecrit le {{ article.createAt | date('d/m/Y')}} à {{ article.createAt | date('H:i') }}</em>
        </div>
        <div class="col">
            {{ comment.content | raw}}

        </div>
    </div>
</div>
{% endfor %}

{% if app.user %}
{{ form_start(commentForm) }}
{{ form_row(commentForm.author, {'attr':{'placeholder':"votre nom"}}) }}
{{ form_row(commentForm.content, {'attr':{'placeholder':"votre commentaire"}}) }}
<button type="submit" class="btn btn-success"> Commenter! </button>
{{ form_end(commentForm) }}
{% else %}
<h2> Vous ne pouvez pas commenter si vous n'etes pas connecté! </h2>
<a href="{{ path('app_login') }}" class= "btn btn-primary"> Connexion </a>

{% endif %}
</section>


{% endblock %}